Subject: Re: bug#48678: [PATCH] lex floats with trailing dot and exponent correctly

From: Philipp Stephani <[email-masked]>
Date: Thu, 27 May 2021 14:37:42 +0200

Am Do., 27. Mai 2021 um 14:36 Uhr schrieb Philipp Stephani
<[email-masked]>:
>
> Am Do., 27. Mai 2021 um 09:41 Uhr schrieb Lars Ingebrigtsen <[email-masked]>:
> >
> > Andreas Schwab <[email-masked]> writes:
> >
> > > On Mai 27 2021, Lars Ingebrigtsen wrote:
> > >
> > >> Yes, it's a rather scary change -- people will have code that sloppily
> > >> parses noisy things like "1foo" and expect to get a 1 out, and ".e6"
> > >> could well be noise that they expect to have ignored.
> > >>
> > >> So I'm sceptical.
> > >
> > > But then 1.e6 should be parsed as a symbol.
> >
> > Oops, I thought this was about string-to-number, which it wasn't at all.
> >
> > Hm.  Currently 1.e6 reads to 1?  Weird.
>
> At least for me it's parsed as a symbol.

Oops, taking that back, I checked 1e.6 instead of 1.e6.